use tokio::net::TcpListener;
use crate::routing::{simplify, table};

mod expressions;
mod parsing;
mod routing;
mod language;

#[tokio::main]
async fn main() {
    let listener = TcpListener::bind("127.0.0.1:8000")
        .await
        .unwrap();

    println!("Listening on: {}", listener.local_addr().unwrap());

    let routes = simplify::router()
        .merge(table::router());

    axum::serve(listener, routes).await.unwrap();
}
